            const report = new Stimulsoft.Report.StiReport();
            report.ReportCacheMode = Stimulsoft.Report.StiReportCacheMode.On;
            report.renderedPages.cacheMode = true;
            report.renderedPages.canUseCacheMode = true;

            report.load(template); //Загрузка mrt-файла
			
            let settings;
            let service;
            let dataSet;
            let stream;
			
            settings = new Stimulsoft.Report.Export.StiExcel2007ExportSettings();
            settings.useOnePageHeaderAndFooter = true;
            settings.exportPageBreaks = false;
            service = new Stimulsoft.Report.Export.StiExcel2007ExportService();

			//Вызов метода формирования динамических колонок в отчете по дате начала и дате окончания периода
			#dataBandReport(report, '2024-01-01 00:00:00+0300', '2024-08-31 00:00:00+0300');
			
            dataSet = new Stimulsoft.System.Data.DataSet('DataSource');
            dataSet.readJson(data); //Загрузка данных json
            report.dictionary.databases.clear();
            report.regData(dataSet.dataSetName, '', dataSet);
			
			
            await new Promise((resolve, reject) => {
                report.renderAsync(function () {
                    try {
                        service.exportToAsync(function () {
                            try {
                                fs.writeFileSync('Report_many_columns_data.xlsx', Buffer.from(stream.toArray()));
                                resolve();
                            }
                            catch (err) {
                                reject(Utils.extendErrorWithCodeLocation(err, __filename, self.CLASS_NAME, 'doRun.export'));
                            }
                        }, report, stream, settings);
                    }
                    catch (err) {
                        reject(Utils.extendErrorWithCodeLocation(err, __filename, self.CLASS_NAME, 'doRun.render'));
                    }
                }, false);
            });
